/* You can add global styles to this file, and also import other style files */

@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Karla:wght@300;400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=DM+Sans:wght@400;500;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700&display=swap');
@import url('assets/static/css/print-page.css');
@import 'assets/static/css/variable.scss';


body {
    margin: 0px;
    padding: 0px;
    font-family: $font-montserrat;
    background-color: $body-bg;
}

ul li {
    list-style: none;
}

.common-btn {
    background: $nile-blue;
    width: 130px;
    height: 40px;
    font-size: 14px;
    line-height: 16px;
    font-family: $font-karla;
    border-radius: 0px;
    border: 1px solid $nile-blue;
    font-weight: 700;

    &:hover {
        background: $blue;
        border: 1px solid $blue;
    }
}

.multiselect-native-select {
    width: 100%;
    display: block;

    .btn-group {
        width: 100%;
    }

    .multiselect {
        border: 1px solid #C2CAD7;
        background-color: #fff;
        border-radius: 0px;
        height: 40px;
        font-weight: 700;
        font-size: 14px;
        line-height: 16px;
        color: $nile-blue;
        font-family: $font-karla;
        box-shadow: none;
        display: flex;
        align-items: center;
        justify-content: flex-start;

        .multiselect-selected-text {
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            display: block;
        }
    }

    .multiselect-container {
        width: 100%;
        border-radius: 0px;
        border-top: 0px;
        margin-top: -5px;

        .dropdown-item {
            label {
                font-family: $font-karla;
                font-style: normal;
                font-weight: 500;
                font-size: 14px;
                line-height: 16px;
                color: $nile-blue;
                white-space: pre-wrap;
            }

            .form-check-input {
                border: 1px solid $blue-mine;
                height: 18px;
                width: 18px;
                border-radius: 0px;

                &:checked {
                    background-color: transparent;
                }
            }

            &:hover {
                background-color: transparent;

                label {
                    color: $blue;
                }
            }

            &.active {
                background-color: transparent;

                .form-check-input {
                    border: 1px solid $blue;

                    &:checked[type="checkbox"] {
                        background-image: url(./assets/static/images/checkmark.png);
                    }
                }

                label {
                    color: $blue;
                }


            }
        }

        .multiselect-selected-text {
            width: 85%;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }
    }
}

.common-col-head {
    color: $blue-mine;
    font-weight: 700;
    font-size: 16px;
    font-family: $font-dm;
    letter-spacing: 0.05em;
    margin-bottom: 10px;
}

.date-modal {
    .lightpick--inlined {
        margin-left: 40px;
        margin-top: 30px;
        box-shadow: none;

        .lightpick__toolbar {
            background: $nile-blue;
            padding: 10px 15px;

            button {
                background-color: transparent;
                border: 1px solid #C2CAD7;
                color: #C2CAD7;
                height: 28px;
                width: 28px;
                font-size: 14px;
            }
        }


        .lightpick__months {
            background-color: transparent;

            .lightpick__day {
                height: 30px;
            }

            .lightpick__month {
                background: #FFFFFF;
                box-shadow: 0.885862px 0.885862px 8.85863px 2.21466px rgba(0, 0, 0, 0.1);
                padding: 15px 10px;
                margin: 0px 10px;
            }
        }

    }
}

.navbar-expand-md {
    .navbar-toggler {
        @media (min-width: 1023px) {
            display: none;
        }
    }
}

.container {
    @media(max-width:1200px) {
        max-width: 100%;
        padding: 0px 30px;
    }

    @media(max-width:1023px) {
        max-width: 100%;
        padding: 0px 15px;
    }
}

.common-bg {
    background: #FFFFFF;
    box-shadow: 5px -3px 4px rgba(255, 255, 255, 0.05), 0px 4px 4px rgba(0, 0, 0, 0.05);
}

.w1 {
  font-size: 14px !important;
}

.w2 {
    font-size: 20px !important;
}

.w3 {
    font-size: 32px !important;
}

.w4 {
    font-size: 64px !important;
}




.lightpick {
    padding-top: 0px;

    &.lightpick--1-columns {
        .lightpick__months {
            padding-top: 0px;

            .lightpick__month {
                padding: 0px;

                .lightpick__month-title-bar {
                    background-color: $nile-blue;
                    padding: 10px 0px;

                    .lightpick__month-title {
                        width: 100%;
                        text-align: center;

                        select {
                            color: #fff;
                            font-family: $font-karla;
                            font-size: 12px;
                            font-weight: 700;
                            text-transform: uppercase;
                            width: auto;
                            text-align: center;
                        }
                    }

                    .lightpick__toolbar {
                        width: 100%;
                        position: absolute;

                        button {
                            background-color: transparent;
                            height: 24px;
                            width: 24px;
                            border: 1px solid #C2CAD7;
                            text-indent: -9999px;

                            &.lightpick__previous-action {
                                position: absolute;
                                left: 17%;
                                bottom: -12px;

                                &::before {
                                    content: "";
                                    background-image: url(./assets/static/images/date-picker-arrow-left.png);
                                    height: 12px;
                                    width: 12px;
                                    background-repeat: no-repeat;
                                    background-size: 65%;
                                    position: absolute;
                                }
                            }

                            &.lightpick__next-action {
                                position: absolute;
                                right: 17%;
                                bottom: -12px;

                                &::before {
                                    content: "";
                                    background-image: url(./assets/static/images/date-picker-arrow-right.png);
                                    height: 12px;
                                    width: 12px;
                                    background-repeat: no-repeat;
                                    background-size: 65%;
                                    right: 1px;
                                    position: absolute;
                                }
                            }
                        }
                    }

                }

                .lightpick__days-of-the-week {
                    .lightpick__day-of-the-week {
                        margin-top: 8px;
                        color: #C4C4C4;
                        font-size: 10px;
                        font-weight: 700;
                        line-height: 8px;
                        font-family: $font-inter;


                    }
                }

                .lightpick__days {
                    font-size: 12px !important;
                    color: #4A4A4E;
                    letter-spacing: 0.110506px;
                    line-height: 11px;
                    font-weight: 500;
                    font-family: $font-inter;

                }
            }
        }
    }
}

.ngx-charts-outer {
    width: 100% !important;

    .ngx-charts {
        width: 100% !important;
    }
}

angular-tag-cloud {
    width: 100% !important;
}

.date-modal {
    .lightpick {
        @media(max-width:667px) {
            width: 100%;
            margin-left: 0px;
        }

        .lightpick__months {
            @media(max-width:667px) {
                display: inline-block;
                width: 100%;


                .lightpick__month {
                    width: 100%;
                    margin-bottom: 15px;
                }
            }

            .lightpick__month {
                @media(max-width:667px) {
                    margin: 0px 0px 10px;
                }

            }
        }
    }

}

.select2-container {
    width: 100% !important;

    .select2-selection {
        border: 1px solid #C2CAD7;
        background-color: #fff;
        border-radius: 0px;
        height: 40px;
        font-weight: 700;
        font-size: 14px;
        line-height: 16px;
        color: $nile-blue;
        font-family: $font-karla;
        box-shadow: none;
        padding: 4px 15px;

        .select2-selection__arrow {


            b {
                display: none;
            }

            &::before {
                content: "";
                background-image: url(./assets/static/images/down-arrow.png);
                width: 12px;
                height: 8px;
                background-repeat: no-repeat;
                position: absolute;
                display: block;
                background-size: 100%;
                right: 15px;
                top: 15px;
            }
        }


    }

    .select2-selection__rendered {
        font-weight: 700;
        font-size: 14px;
        line-height: 16px;
        color: $nile-blue !important;
        font-family: $font-karla;
        padding-left: 0px !important;
    }

}

.select2-container--open {
    .select2-results__options {
        .select2-results__option {
            font-weight: 700;
            font-size: 14px;
            line-height: 16px;
            color: $nile-blue;
            font-family: $font-karla;
            padding: 17px 10px;

            &:hover {
                background-color: $blue;
                color: #fff;
            }

            &.select2-results__option--selected {
                background-color: $blue;
                color: #fff;
            }
        }
    }

    .select2-dropdown {
        border-radius: 0px;
        border: 1px solid #C2CAD7;
        background-color: #fff;
    }
}

.graph-tooltip {
    background: #FFFFFF;
    box-shadow: 5px -3px 4px rgba(255, 255, 255, 0.05), 0px 4px 4px rgba(0, 0, 0, 0.05);
    border-radius: 0 !important;
    padding: 10px 15px;
    width: 100%;

    h6 {
        color: #000000;
        font-size: 10px;
        font-weight: 700;
        font-family: $font-karla;
        margin-bottom: 10px;
    }

    ul {
        width: 100%;
        padding-left: 0px;
        margin-bottom: 0px;

        li {
            color: #000000;
            font-size: 10px;
            font-family: $font-karla;
            padding: 2px 0px;
        }
    }
}



.arrow_box {
    position: relative;
    background: #ffffff;
    padding: 10px
}

.modal-backdrop {
    background: $nile-blue;
    opacity: 0.7 !important;
    backdrop-filter: blur(13px);
}